CXX=g++
CPPFLAGS=-Wall -g -std=c++0x

all: Circle

Circle: main.o Circle.o
	g++ $(CPPFLAGS) Circle.o main.o -o Circle

main.o: main.cpp Circle.o Circle.h
Circle.o: Circle.cpp Circle.h

clean:
	rm -fv Circle *.o

debug: Circle
	gdb Circle
